package it.html.oauth.oauthclient;

import java.util.HashMap;

/**
 * Classe di utilità per lavorare con le URI
 * @author xcesco
 *
 */
public class UrlHelper {

	/**
	 * Data una URI sottoforma di stringa, estrae i parametri presenti nella query string.
	 * 
	 * @param uri
	 * @return
	 */
	public static HashMap<String, String> extractQueryParams(String uri)
	{
		HashMap<String, String> result=new HashMap<String, String>();
		if (uri.contains("?"))
		{
			String[] params=uri.substring(uri.indexOf("?")+1).split("&");
			String[] v;
			
			for (String p: params)
			{
				v=p.split("=");
				result.put(v[0], v[1]);
			}
			
		}
			
		return result;
	}
}
